## SYNOPSIS

           msgfmt [OPTION] filename.po ...

## DESCRIPTION

           Generate  binary  message catalog from textual translation
           description.

           Mandatory arguments to  long  options  are  mandatory  for
           short options too.

       Input file location:
           filename.po ...
                  input files

           -D, --directory=DIRECTORY
                  add DIRECTORY to list for input files search

           If input file is -, standard input is read.

       Operation mode:
           -j, --java
                  Java mode: generate a Java ResourceBundle class

           --java2
                  like --java, and assume Java2 (JDK 1.2 or higher)

           --tcl  Tcl mode: generate a tcl/msgcat .msg file

       Output file location:
           -o, --output-file=FILE
                  write output to specified file

           --strict
                  enable strict Uniforum mode

           If output file is -, output is written to standard output.

       Output file location in Java mode:
           -r, --resource=RESOURCE
                  resource name

           -l, --locale=LOCALE
                  locale name, either language or language_COUNTRY

           -d DIRECTORY
                  base directory of classes directory hierarchy

           The class name is determined by appending the locale  name
           to  the  resource name, separated with an underscore.  The
           -d option is mandatory.  The class is  written  under  the
           specified directory.

           --check-format
                  check language dependent format strings

           --check-header
                  verify presence and contents of the header entry

           --check-domain
                  check  for  conflicts between domain directives and
                  the --output-file option

           -C, --check-compatibility
                  check that GNU msgfmt behaves like X/Open msgfmt

           --check-accelerators[=CHAR]
                  check presence of keyboard  accelerators  for  menu
                  items

           -f, --use-fuzzy
                  use fuzzy entries in output

       Output details:
           -a, --alignment=NUMBER
                  align strings to NUMBER bytes (default: 1)

           --no-hash
                  binary file will not include the hash table

       Informative output:
           -h, --help
                  display this help and exit

           -V, --version
                  output version information and exit

           --statistics
                  print statistics about translations

           -v, --verbose
                  increase verbosity level

## AUTHOR

           Written by Ulrich Drepper.

## REPORTING BUGS

           Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

           Copyright © 1995-1998, 2000-2002 Free Software Foundation,
           Inc.
           This is free software; see the source for  copying  condi
           tions.  There is NO warranty; not even for MERCHANTABILITY